<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.ShouYunSyncBean" />

    </data>

    <LinearLayout
        shape_bg_color="@{@color/white}"
        shape_radius="@{6}"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="10dp"
        android:layout_marginVertical="5dp"
        android:background="@color/white"
        android:orientation="vertical"
        android:padding="10dp">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:text="平板车：" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="35dp"
                android:layout_weight="1"
                android:gravity="center_vertical"
                android:paddingHorizontal="5dp"
                android:text="@{bean.location}"
                android:textColor="@color/text_system"
                android:textColorHint="@color/text_gray_l"
                android:textSize="14sp"
                tools:text="066" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:text="件数：" />

            <EditText
                shape_border_color="@{@color/gray_cc}"
                shape_border_width="@{1}"
                shape_radius="@{6}"
                android:layout_width="0dp"
                android:layout_height="35dp"
                android:layout_weight="1"
                android:background="@null"
                android:gravity="center_vertical"
                android:paddingHorizontal="5dp"
                android:text="@={bean.pcLiveData}"
                android:textColor="@color/text_system"
                android:textColorHint="@color/text_gray_l"
                android:textSize="14sp" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:text="重量：" />

            <EditText
                shape_border_color="@{@color/gray_cc}"
                shape_border_width="@{1}"
                shape_radius="@{6}"
                android:layout_width="0dp"
                android:layout_height="35dp"
                android:layout_weight="1"
                android:background="@null"
                android:gravity="center_vertical"
                android:paddingHorizontal="5dp"
                android:text="@={bean.weightLiveData}"
                android:textColor="@color/text_system"
                android:textColorHint="@color/text_gray_l"
                android:textSize="14sp" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:text="体积：" />

            <EditText
                shape_border_color="@{@color/gray_cc}"
                shape_border_width="@{1}"
                shape_radius="@{6}"
                android:layout_width="0dp"
                android:layout_height="35dp"
                android:layout_weight="1"
                android:background="@null"
                android:gravity="center_vertical"
                android:paddingHorizontal="5dp"
                android:text="@={bean.volume}"
                android:textColor="@color/text_system"
                android:textColorHint="@color/text_gray_l"
                android:textSize="14sp" />

        </LinearLayout>

    </LinearLayout>

</layout>